Package org.silverpeas.components.kmelia.export

## Class SilverpeasImageFinder

- java.lang.Object
- - org.silverpeas.components.kmelia.export.SilverpeasImageFinder

-     public class SilverpeasImageFinder
      extends Object

  A finder of images that were uploaded by a Silverpeas component instance, whatever this component is. Images in Silverpeas can be uploaded by different Silverpeas components. So, as each component has its own way to refer an image that was upload through it, there is several ways to access an image in Silverpeas. So, in the case a publication embeds one or more images coming from different components, it is required to support the different mechanisme of finding an image. The purpose of this class is to wrap theses different mechanismes for the export of Kmelia publications.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SilverpeasImageFinder()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `findImageReferencedBy​(String href)` | Finds the image having as unique identifier in Silverpeas the specified relative web reference.
    `static SilverpeasImageFinder` | `getImageFinder()` | Gets an instance of this class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SilverpeasImageFinder

          public SilverpeasImageFinder()

  - ### Method Detail

    - #### getImageFinder

          public static SilverpeasImageFinder getImageFinder()

      Gets an instance of this class.
      Returns:
        a SilverpeasImageFinder instance.

    - #### findImageReferencedBy

          public String findImageReferencedBy​(String href)

      Finds the image having as unique identifier in Silverpeas the specified relative web reference.
      Parameters:
        `href` - the web reference of the image is the path of the image relative to the web context of Silverpeas. This path is Silverpeas component dependent, so that only a given Silverpeas component can process it.
      Returns:
        the URI of the image in the server.